| Qore MewsRestDataProvider Module Reference 1.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MewsRestDataProvider::MewsRestAgeCategoriesTableDataProvider Class Reference

The MewsRestAgeCategoriesTableDataProvider data provider class. More...

`#include <MewsRestAgeCategoriesTableDataProvider.qc.dox.h>`

Inheritance diagram for MewsRestDataProvider::MewsRestAgeCategoriesTableDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (MewsRestClient rest)
| Creates the object from the arguments.
Public Member Functions inherited from MewsRestDataProvider::MewsRestTableDataProvider
| constructor (*hash< auto > options, hash< MewsTableApiConfig > config)
| Creates the object from constructor options.
| constructor (MewsRestClient rest, hash< MewsTableApiConfig > config)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.
bool | searchAcceptsForeignField (string field)
| Allows data providers to accept foreign or virtual field names.
Public Member Functions inherited from MewsRestDataProvider::MewsRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (MewsRestClient::MewsRestClient rest, *SwaggerDataProvider::SwaggerDataProvider sdp)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ComparisonFields = ...
| Fields supporting >= and <= operators.
const | ConstructorOptions = MewsRestDataProvider::ConstructorOptions
| Constructor options.
const | EqualityListFields = ...
| Fields supporting list equality comparisons.
const | ProviderInfo = ...
| Provider info.
const | TableApiConfig = ...
| Table API config.
Public Attributes inherited from MewsRestDataProvider::MewsRestTableDataProvider
const | ConstructorOptions = ...
| Constructor options.
const | Expressions = ...
| Supported Expressions.
const | SearchOptions = ...
| Search options.
const | UTC = new TimeZone("UTC")
| UTC time zone.
Public Attributes inherited from MewsRestDataProvider::MewsRestDataProviderBase
const | MaxRecords = 1000
| Max records that the Mews API will return in one request.

## Protected Member Functions
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Protected Member Functions inherited from MewsRestDataProvider::MewsRestTableDataProvider
AbstractDataProvider | getTableDataProvider ()
| Retrieves the Swagger data provider for the table data.
DataProvider::AbstractDataProviderRecordIterator | searchRecordsImpl (*hash< auto > where_cond, *hash< auto > search_options)
| Returns an iterator for zero or more records matching the search options.
| setRecordTypeIntern ()
| Retrieve the record information.

## Additional Inherited Members
Protected Attributes inherited from MewsRestDataProvider::MewsRestTableDataProvider
hash< string, bool > | comp_end
| Comparison ...End fields.
hash< string, bool > | comp_start
| Comparison ...Start fields.
hash< MewsTableApiConfig > | config
| The table config.
hash< string, AbstractDataField > | record_type
| Record info for the table.

## Detailed Description

The MewsRestAgeCategoriesTableDataProvider data provider class.